<template>
    <div class="slds-box slds-theme_default" style="height: 100%;">
        <div class="slds-grid slds-gutters">
            <div class="slds-col slds-size_4-of-12">
                <div style="margin-left: 2em;">
                    <div class="slds-text-heading_medium slds-p-top_x-large">Square Vertices</div>
                    <div style="display: flex;">
                <div class="slds-text-heading_medium slds-p-top_large">A</div>
                <lightning-input name="A" type="number" label="X axis" value={vertices.A.x} onchange={handleXInputsChange}></lightning-input>
                <lightning-input name="A" type="number" label="Y axis" value={vertices.A.y} onchange={handleYInputsChange}></lightning-input>
                    </div>
                    <div style="display: flex;">
                <div class="slds-text-heading_medium slds-p-top_large">B</div>
                <lightning-input name="B" type="number" label="X axis" value={vertices.B.x} onchange={handleXInputsChange}></lightning-input>
                <lightning-input name="B" type="number" label="Y axis" value={vertices.B.y} onchange={handleYInputsChange}></lightning-input>
                    </div>
                    <div style="display: flex;">
                <div class="slds-text-heading_medium slds-p-top_large">C</div>
                <lightning-input name="C" type="number" label="X axis" value={vertices.C.x} readonly="true"></lightning-input>
                <lightning-input name="C" type="number" label="Y axis" value={vertices.C.y} readonly="true"></lightning-input>
                    </div>
                    <div style="display: flex;">
                <div class="slds-text-heading_medium slds-p-top_large">D</div>
                <lightning-input name="D" type="number" label="X axis" value={vertices.D.x} readonly="true"></lightning-input>
                <lightning-input name="D" type="number" label="Y axis" value={vertices.D.y} readonly="true"></lightning-input>
                    </div>
                    <div class="slds-m-top_large" style="width: 80%;">
                <label class="slds-text-heading_medium">Angle of Rotation</label>
                <lightning-helptext class="slds-m-left_xx-small slds-p-top_large" content="Rotation is being performed to the left side"></lightning-helptext>
                <lightning-slider class="slds-text-heading_small" min="0" max="360" value={angleOfRotation} onchange={handleAngleSliderChange}></lightning-slider>
                    </div>
                    <div style="display: flex;">
                <div class="slds-text-heading_medium slds-p-top_large">Vertical Movement</div>
                <lightning-combobox value={verticalMovementSide} options={verticalMovementOptions} onchange={handleVerticalMovementSideChange}>
                </lightning-combobox>
                    </div>
                    <div style="display: flex;">
                <div class="slds-text-heading_medium slds-p-top_large">Scale</div>
                <lightning-helptext class="slds-m-left_xx-small slds-p-top_large" content="Value per one square unit"></lightning-helptext>
                <lightning-input type="number" value={scale} min="1" onchange={handleScaleChange}></lightning-input>
                    </div>
                    <div class="slds-m-top_large">
                <button class="slds-button slds-button_neutral" onclick={handleDownloadClick}>Download</button>
                <button class="slds-button slds-button_brand" onclick={handleDrawClick}>Draw</button>
                </div>
            </div>
        </div>
        <div class="slds-col slds-size_8-of-12">
            <canvas width="700" height="600"></canvas>

            <button data-id="help" class="slds-button slds-button_icon slds-button_icon-inverse slds-float_right help" onclick={handleModal}>
                <lightning-icon class="slds-icon-text-light" icon-name="action:question_post_action" size="small" 
                style="background-color: #f3f3f3" alternative-text="Help" title="Help">
                    <label>Help</label>
                </lightning-icon>
            </button>
            <c-modal-window is-modal-open={isModalOpen} header-text="Help" body-text="On this tab you can..." onclosemodal={handleModal}>
            </c-modal-window>
        </div>
        </div>
    </div>
</template>